<?php


function SetIndexWarning(&$warning, $reason=''){

  if (strpos($reason, 'from_out') !== FALSE){
    $warning .=<<<EOW
 <p>This page is being displayed due to any of the following reasons:
 <ul>
  <li>You are accessing through a link from an external site.</li>
  <li>You are accessing by direct URL.</li>
  <li>You are accessing from a referer-disabled environment (this includes Android standard browser).</li>
  <li>Your download session has timed-out.</li>
 </ul>
 </p>
EOW;
  }
    
  if (strpos($reason, 'index') !== FALSE){
    $warning .=<<< EOW
    <p>Webpages from this point on (<b><a href="{$GLOBALS['http_dir_top']}/upld-index.php">{$GLOBALS['index_name']}</a></b>) primarily consist of <b>{$GLOBALS['contents_explanation']}</b>-related content.
EOW;

    $warning .= ($GLOBALS['contents_age_restriction'])? "<br>Due to this site containing age-restricted content, those under 18 years of age are prohibited from entering. If you are 18 or older, then proceed if you are willing to take responsibility for your own actions." : "";

    $warning .=<<< EOW
 <br>And please remember that
   <b>ALL site content is de facto copyrighted by Japanese law and the Berne Convention.</b></p>
EOW;
  }
}

//-----------------------------------------------
function SetError($disp_error='', $OPmode=''){

  $html = '<a name="error"><h2>Regarding all kinds of Restrictions and Errors</h2></a>' . "\n";
  
  $error['access'] =<<<EOC
<a name="error_access"><h3>Access Restrictions</h3></a>

<p>If your host is on the access denial list, the following error message will appear while browsing documents or threads:
<blockquote><b>&quot;{$GLOBALS['message']['error-access-denied']}&quot;</b></blockquote>

<p>Access restriction may be due to browsing-restricted contents. In this case, the following error message will appear:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-host']}&quot;</b></blockquote></p>

<p>Even if such cases occur, in addition to browsing lists and thumbnails, you can browse the &quot;Requests and Announcements&quot; thread and browse the &quot;Restriction Removal Requests&quot; thread, where you can post and request access.</p>

EOC;

  $error['proxy'] ='';
  if ($GLOBALS['access_denied_from_proxy'] || $GLOBALS['post_denied_from_proxy']){
    if ($OPmode == ''){
      $error['proxy'] =<<<EOC
<a name="error_proxy"><h3>Open Proxy Restrictions</h3></a>

<p>If your host is judged as being an open-proxy, the following error message will appear while browsing files, threads, and the bulliten board:
<blockquote><b>&quot;{$GLOBALS['message']['error-access-proxy']}&quot;</b></blockquote>

<p>In this case, in addition to posting on the &quot;Restriction Removal Requests&quot; thread in order to request permanent access, <b>you can also use this form below to request immediate and temporary access</b>.

<p>First, please enter and submit the name of this site and your e-mail address.<br />
I will send an e-mail containing a password for temporary access to the specified e-mail address.<br />
Because of this, please be aware that your configured access data will be deleted at that time.</p>

EOC;

    }else if ($OPmode == 'sendmail'){
      $error['proxy'] = '<h3>Open-Proxy Access Application confirmed</h3><p>The e-mail has been sent. Please check it, then enter the earlier submitted e-mail address and the password listed in the e-mail.';
    }else if ($OPmode == 'auth'){
      $error['proxy'] = '<h3>Open-Proxy Access Application completed</h3><p>Temporary access rights have been set. They are valid for '. $GLOBALS['tmpcookie_lifetime'] .' hours. Enjoy!</p>';
    }
    $error['proxy'] .= upld_disp_list::DispAccessApplicationForm($OPmode);
  }

  $error['post'] =<<<EOC
<a name="error_post"><h3>Posting Restrictions</h3></a>

<p>If your host is subjected to posting restrictions, the following error message will appear when posting to threads or managing personal files, threads, and user properties:
<blockquote><b>&quot;{$GLOBALS['message']['error-post-denied']}&quot;</b></blockquote>

<p>The posting restrictions might only concern a browsing-restricted thread. In that case, the following error message will appear:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-host']}&quot;</b></blockquote></p>

<p>There are no host-specific restrictions related to browsing. You can also post to the &quot;Restriction Removal Requests&quot; thread to apply for restriction removal.</p>

EOC;

if (count($GLOBALS['taglist_restriction']) > 0){
   $error['restriction'] =<<<EOC
<a name="error_restriction"><h3>Restriction Errors/&quot;Browsing Restrictions&quot;</h3></a>

<p>If you try to access browsing-restricted contents without setting your browsing preferences, the following error message will appear:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-tag']}&quot;</b></blockquote>
You can configure your browsing preferences at the <a href="{$GLOBALS['dir_bbs_html']}/upld-index.php">toppage</a>. Please do so at your own risk</p>

<p>However, if your host is denied from accessing browsing-restricted contents, you cannot set browsing preferences.

<p>In this case, please request access by posting to the &quot;Restriction Removal Requests&quot; thread.</b>.

EOC;

  $filter = $GLOBALS['obj_filter'];
}
else{
  $error['restriction'] ='';
}

   $error['upload'] =<<<EOC
<a name="error_upload"><h3>Upload Limits</h3></a>

<p>For the sake of preventing a download flood due to mass or large-capacity file uploading, a upload file size limit is in place.
<br />The upper limit is {$GLOBALS['maxsize_file_update_puser_pday']} [kB/day/user] and 
{$GLOBALS['maxsize_file_update_pday']} [kB/24hour].

<p>If this error appears, please wait a while before uploading.

EOC;

   $error['download'] =<<<EOC
<a name="error_download"><h3>Download Limits</h3></a>

<p>To prevent a webserver error caused by overload (503 Service Temporary Unavailable), an upper limit to download file size is in place for all users.
<br />The maximum for all users is {$GLOBALS['maxsize_file_transfer_pday']} [MB/day], {$GLOBALS['maxsize_file_transfer_phr']} [MB/hour] and {$GLOBALS['maxsize_file_transfer_p5m']} [MB/5min].
<br />There is also a maximum for each user, which is {$GLOBALS['maxsize_file_transfer_pday_puser']} [MB/day/user], {$GLOBALS['maxsize_file_transfer_phr_puser']} [MB/hour/user] and {$GLOBALS['maxsize_file_transfer_p5m_puser']} [MB/5min/user].
<br />Once you exceed this limit, you will not be able to browse files until the limit is reset.

<p>The daily limit will be reset at 0900 GMT (= 0000 JST) every day, and the hourly limit will be reset at the start of each hour (:00 minutes). Please wait a while.
EOC;

  if ($disp_error==''){
    $html .= $error['access'] . $error['proxy'] . $error['post'] . $error['restriction'] . $error['upload'] . $error['download'];
  }else{
    $html .= $error[$disp_error];
  }
  return $html;

}

//-----------------------------------------------
function SetRule(){
 
  $html =<<<EOC
<p>These clarifications concern aspects of the site that are difficult to discern with common-sense.

<h2>Regarding Users</h2>

<p>Even if you obtain a user account, users only have control over (or privilege to) their own pages, files and threads.
<br>If you do not plan on uploading files or creating threads, creating an account will not be necessary, so please do not create an unnecessary user account.

<p>From now on, I will deactivate any user accounts that fulfill ALL of the following conditions:
<ul>
<li>User has not logged in for {$GLOBALS['duration_user_deactivate']} or more days
<li>Account has no files
<li>Account has no current threads (only past logs exist)
</ul>

<p>Even if your account is deactivated, it will be immediately reactivated once you log in.
<br>However, users that have not logged in for more than {$GLOBALS['duration_user_delete']} days after deactivation will be deleted.

<p>If you forget your password, please contact the manager (me) at ({$GLOBALS['root_email']}).
<br>Since the manager (I) cannot view your password, a new temporary password will be issued.

<h2>Regarding File Creation and Uploading</h2>

<p>Any <b>{$GLOBALS['contents_explanation']}</b>-related content is acceptable.

<p>Please refrain from uploading a large amount of files at once or making files available only for a limited time. This causes a burden on the server due to download flooding, and generates a 503 (Service Temporarily Unavailable) error.
<br>On some communal servers, once a 503 error is generated, the server manager lowers the 503-error generation threshold in order to protect other server users. Due to this, and in order to reduce the cost of any 503 errors generated in the future, I hope you all will understand.

<p>Pornographic content is strictly prohibited by the hosting service provider. This includes photographs of people and film, but drawings are acceptable.
<!-- <br>They said that photographs and motion-pictures are included, but drawing are NOT. -->
EOC;
    $genreString = "";
    if (count($GLOBALS['taglist_genre']) > 0){
        for($i = 0; $i < count($GLOBALS['taglist_genre']); $i++){
            $genreString .= '<li>' . $GLOBALS['taglist_genre'][$i][0];
            $genreString .= ' (' . $GLOBALS['taglist_genre'][$i][1] . ') &nbsp; '; 
        }

        $html .=<<<EOC
<a name="genre"><h2>Genre Tags</h2></a>
<p>Authors can attach &quot;genre tags&quot; to their files and threads. These describe their contents.
<br>Viewers can see the attached genre tags of any file or thread.
<br>1 or multiple genre tags can be selected from the following list:
<ul>{$genreString}</ul>
EOC;
}

    $restrictionString = "";
    if (count($GLOBALS['taglist_restriction']) > 0){
        for($i = 0; $i < count($GLOBALS['taglist_restriction']); $i++){
            $restrictionString .= '<li>' . $GLOBALS['taglist_restriction'][$i][0];
            $restrictionString .= ' (' . $GLOBALS['taglist_restriction'][$i][1] . ') &nbsp; '; 
        }
        
        $html .=<<<EOC
<a name="restriction"><h2>Browsing Restriction Tags</h2></a>
<p>Authors can attach a stronger &quot;restriction tag&quot; to files and threads to hide them from viewers who do not want to see that kind of stuff.
<br>Files and threads that have been tagged for browsing-restriction are called &quot;Browsing-Restricted Contents&quot;.
<br>In order to view browsing-restricted contents, viewers need to set their access control to the designated restriction tags.
<br>Unless this is done, links and thumbnails of browsing-restricted contents will not be displayed. (The file name itself can be seen)
<br>1 or multiple tags can be selected from the following list.
<ul>{$restrictionString }</ul>

<p>A rough standard for using the browsing-restriction tags is, as follows:
<ul>
<li>When gentials are depicted, not in a mosaic or are light sketches, please attach the &quot;Labia&quot; / &quot;Penis&quot; tags.
<li>However, with written works, if you think that using the &quot;Labia&quot; / &quot;Penis&quot; tags is not enough, you should remember that almost everyone can remove such restrictions anyway.
<li>Aside from these two browsing restriction tags, please attach tags only to works that seem to attract those who frequently view this site.
</ul>

<br>If the majority of your works have browsing-restricted tags attached, viewers still can remove those restrictions for themselves. 
<br>This will acheive our original goal in which "those who don't want to see it, don't have to". Please cooperate with us on this aspect.
<p>

EOC;
    }

    $html .=<<<EOC
<h2>Regarding Thread Creation</h2>

<p>Titling threads with "Hello", and posting an abnormally large amount of them, has the tendency to cause confusion, so please use something other than "Hello" for a thread title.

<h2>Regarding Thread Posting</h2>

<p>Please follow the general BBS rules.
<br>Leaking personal information, libel to an excessive degree, identity fraud, bullying, etc.; these typically banned behaviors are not allowed.
<br>Depending on the severity of the warning, violators may lose their posting abilities, access, etc.

<p>Also, if your post includes a lot of hyperlinks or pre-defined NG words (profanity), it will be judged as spam and rejected.
<br>If this happens, please contact me at ({$GLOBALS['root_email']}).

<p>This site supports TRIP codes. You can ensure your identity by typing in "#" and a password after your name in the name field.
For example, an input like "Taro#hoge" will be turned into something like "Taro◆MvRbZL6NeQ" (This is unrelated to your name).
<br>Although the TRIP character string is 2chan-compatible, this site does not support 12-digit inputs.
<br>To prevent the leaking of passwords, everything after the "#" in the e-mail field will be deleted.
<br>So, there will be no issue if you accidentally write your password in the e-mail address field.

<p>If you write your e-mail address in the e-mail field, it is likely you will get a tremendous amount of spam.
<br>It is your responsibility if you type in an important e-mail address, so we recommend you do not do that.

<p>If a password is set when posting, posters can modify or delete messages later.
<br>Also, thread owners can remove posts from their threads (They cannot modify them).
<br>When thread posters, as well as the thread owner, delete posts, the post is replaced with "Deleted".
<br>The administrator can delete posts completely without doing this, in addition to modifying and deleting posts. When this happens, the response numbers will shift.

EOC;

$html .= SetError();

   $html .=<<<EOC
<h2>Regarding Copyrights</h2>

<p>Feel free to link anything here. Please note that if you are led to this site by an external link, a warning page will always appear.
<br />Hence, posting a link to any part of this site is not a problem, but because of the img tags, please know that you cannot embed images elsewhere.

<p>Unauthorized reproduction is never allowed. Please contact each respective author (not me) to ask for permission.
<br>I have spent a lot of effort to make this uploader useful for Non-Japanese speakers. But please remember that "useful" NEVER means "easy to reproduce".
<br>Any unauthorized reproduction makes all my efforts in vain. Please do not forget that.
EOC;

$html .=<<<EOC
<a name="special_thanks"><h2>Special Thanks</h2></a>

<p>Here I thank the following people who made special contributions to the site:</p>

<ul>
<li>Lassic-san for Deutsche/German translations.
<li>Permayuyuko-san for 繁體(正體)中文/Traditional Chinese/Taiwanese translations.
<li>All users for their uploads, comments, and bug-reports.
</ul>

<p>I would like to make this uploader easier for others to use, so please help us and contribute translations. If you would like to contribute, please got to <a href="upld-index.php?uname=yunzo">my page</a>, obtain the latest version of the language files, and upon translation send them to me.

EOC;


return $html;

}

//-----------------------------------------------
function SetApplicationMail($pass){
  $subject = 'Access password to ' . $GLOBALS['index_name'];
  $message =<<<EOM
Hello new user,

We have received your application for temporary access to {$GLOBALS['index_name']}.
Your password is "{$pass}".

This email is automatically generated and sent according to the user application.
If you feel that this e-mail was sent in error, sorry for troubling you, but please send me a reply to let me know.

Regards,
Administrator of {$GLOBALS['index_name']}
EOM;

  return array($subject, $message);
}

?>
